#!/sbin/itype
# This is a i file, used by initng parsed by install_service

# NAME: iptables
# DESCRIPTION: Linux firewall, NAT and packet mangling tools
# WWW: http://www.iptables.org/

service service/iptables {
	need = system/initial system/mountfs/essential system/hostname;
	provide = virtual/firewall;
	env STATEFILE = /etc/sysconfig/iptables;
	script start = {
		[ -f "${STATEFILE}" ] || exit 0
		/sbin/iptables-restore -c < "${STATEFILE}"
	};
}
