#!/sbin/itype
# This is a i file, used by initng parsed by install_service

# NAME: ddclient
# DESCRIPTION: Update client for DynDNS.com's dynamic IP service (and others)
# WWW: http://ddclient.sourceforge.net/

daemon daemon/ddclient {
	env PIDFILE = /var/run/ddclient/ddclient.pid;
        suid = ddclient;
        sgid = ddclient;
        need = virtual/net system/bootmisc;
        exec daemon = /usr/sbin/ddclient -pid ${PIDFILE};
        pid_file = ${PIDFILE};
        forks;
        respawn;
}
