#!/sbin/itype
# This is a i file, used by initng parsed by install_service

# NAME: iceccd
# DESCRIPTION: Icecream distributed compiler daemon
# WWW: http://en.opensuse.org/Icecream

daemon daemon/iceccd/scheduler {
    need = system/bootmisc virtual/net;
 
    env_file = /etc/defaults/icecream;

    suid = icecream;
    sgid = icecream;
    script daemon = {
        /usr/sbin/scheduler
    };
}

daemon daemon/iceccd {
    need = system/bootmisc virtual/net;
    use = daemon/iceccd/scheduler;

    env_file = /etc/defaults/icecream;

    script daemon = {
        /usr/sbin/iceccd ${iceccd_opts}
    }; 
}
